linweizeng 3 лет назад
Родитель
Сommit
9fe04cf7a7
100 измененных файлов с 972 добавлено и 0 удалено
  1. 9 0
      node_modules/.bin/Barcode.js
  2. 9 0
      node_modules/.bin/Barcode.js.cmd
  3. 11 0
      node_modules/.bin/Barcode.js.ps1
  4. 9 0
      node_modules/.bin/CODE128
  5. 9 0
      node_modules/.bin/CODE128.cmd
  6. 9 0
      node_modules/.bin/CODE128.js
  7. 9 0
      node_modules/.bin/CODE128.js.cmd
  8. 11 0
      node_modules/.bin/CODE128.js.ps1
  9. 11 0
      node_modules/.bin/CODE128.ps1
  10. 9 0
      node_modules/.bin/CODE128A.js
  11. 9 0
      node_modules/.bin/CODE128A.js.cmd
  12. 11 0
      node_modules/.bin/CODE128A.js.ps1
  13. 9 0
      node_modules/.bin/CODE128B.js
  14. 9 0
      node_modules/.bin/CODE128B.js.cmd
  15. 11 0
      node_modules/.bin/CODE128B.js.ps1
  16. 9 0
      node_modules/.bin/CODE128C.js
  17. 9 0
      node_modules/.bin/CODE128C.js.cmd
  18. 11 0
      node_modules/.bin/CODE128C.js.ps1
  19. 9 0
      node_modules/.bin/CODE128_AUTO.js
  20. 9 0
      node_modules/.bin/CODE128_AUTO.js.cmd
  21. 11 0
      node_modules/.bin/CODE128_AUTO.js.ps1
  22. 9 0
      node_modules/.bin/CODE39
  23. 9 0
      node_modules/.bin/CODE39.cmd
  24. 11 0
      node_modules/.bin/CODE39.ps1
  25. 9 0
      node_modules/.bin/EAN.js
  26. 9 0
      node_modules/.bin/EAN.js.cmd
  27. 11 0
      node_modules/.bin/EAN.js.ps1
  28. 9 0
      node_modules/.bin/EAN13.js
  29. 9 0
      node_modules/.bin/EAN13.js.cmd
  30. 11 0
      node_modules/.bin/EAN13.js.ps1
  31. 9 0
      node_modules/.bin/EAN2.js
  32. 9 0
      node_modules/.bin/EAN2.js.cmd
  33. 11 0
      node_modules/.bin/EAN2.js.ps1
  34. 9 0
      node_modules/.bin/EAN5.js
  35. 9 0
      node_modules/.bin/EAN5.js.cmd
  36. 11 0
      node_modules/.bin/EAN5.js.ps1
  37. 9 0
      node_modules/.bin/EAN8.js
  38. 9 0
      node_modules/.bin/EAN8.js.cmd
  39. 11 0
      node_modules/.bin/EAN8.js.ps1
  40. 9 0
      node_modules/.bin/EAN_UPC
  41. 9 0
      node_modules/.bin/EAN_UPC.cmd
  42. 11 0
      node_modules/.bin/EAN_UPC.ps1
  43. 9 0
      node_modules/.bin/ErrorHandler.js
  44. 9 0
      node_modules/.bin/ErrorHandler.js.cmd
  45. 11 0
      node_modules/.bin/ErrorHandler.js.ps1
  46. 9 0
      node_modules/.bin/GenericBarcode
  47. 9 0
      node_modules/.bin/GenericBarcode.cmd
  48. 11 0
      node_modules/.bin/GenericBarcode.ps1
  49. 9 0
      node_modules/.bin/ITF
  50. 9 0
      node_modules/.bin/ITF.cmd
  51. 9 0
      node_modules/.bin/ITF.js
  52. 9 0
      node_modules/.bin/ITF.js.cmd
  53. 11 0
      node_modules/.bin/ITF.js.ps1
  54. 11 0
      node_modules/.bin/ITF.ps1
  55. 9 0
      node_modules/.bin/ITF14.js
  56. 9 0
      node_modules/.bin/ITF14.js.cmd
  57. 11 0
      node_modules/.bin/ITF14.js.ps1
  58. 9 0
      node_modules/.bin/JsBarcode.js
  59. 9 0
      node_modules/.bin/JsBarcode.js.cmd
  60. 11 0
      node_modules/.bin/JsBarcode.js.ps1
  61. 9 0
      node_modules/.bin/MSI
  62. 9 0
      node_modules/.bin/MSI.cmd
  63. 9 0
      node_modules/.bin/MSI.js
  64. 9 0
      node_modules/.bin/MSI.js.cmd
  65. 11 0
      node_modules/.bin/MSI.js.ps1
  66. 11 0
      node_modules/.bin/MSI.ps1
  67. 9 0
      node_modules/.bin/MSI10.js
  68. 9 0
      node_modules/.bin/MSI10.js.cmd
  69. 11 0
      node_modules/.bin/MSI10.js.ps1
  70. 9 0
      node_modules/.bin/MSI1010.js
  71. 9 0
      node_modules/.bin/MSI1010.js.cmd
  72. 11 0
      node_modules/.bin/MSI1010.js.ps1
  73. 9 0
      node_modules/.bin/MSI11.js
  74. 9 0
      node_modules/.bin/MSI11.js.cmd
  75. 11 0
      node_modules/.bin/MSI11.js.ps1
  76. 9 0
      node_modules/.bin/MSI1110.js
  77. 9 0
      node_modules/.bin/MSI1110.js.cmd
  78. 11 0
      node_modules/.bin/MSI1110.js.ps1
  79. 9 0
      node_modules/.bin/UPC.js
  80. 9 0
      node_modules/.bin/UPC.js.cmd
  81. 11 0
      node_modules/.bin/UPC.js.ps1
  82. 9 0
      node_modules/.bin/UPCE.js
  83. 9 0
      node_modules/.bin/UPCE.js.cmd
  84. 11 0
      node_modules/.bin/UPCE.js.ps1
  85. 9 0
      node_modules/.bin/auto.js
  86. 9 0
      node_modules/.bin/auto.js.cmd
  87. 11 0
      node_modules/.bin/auto.js.ps1
  88. 9 0
      node_modules/.bin/barcodes
  89. 9 0
      node_modules/.bin/barcodes.cmd
  90. 11 0
      node_modules/.bin/barcodes.ps1
  91. 9 0
      node_modules/.bin/canvas.js
  92. 9 0
      node_modules/.bin/canvas.js.cmd
  93. 11 0
      node_modules/.bin/canvas.js.ps1
  94. 9 0
      node_modules/.bin/checksums.js
  95. 9 0
      node_modules/.bin/checksums.js.cmd
  96. 11 0
      node_modules/.bin/checksums.js.ps1
  97. 9 0
      node_modules/.bin/codabar
  98. 9 0
      node_modules/.bin/codabar.cmd
  99. 11 0
      node_modules/.bin/codabar.ps1
  100. 15 0
      node_modules/.bin/color-support

+ 9 - 0
node_modules/.bin/Barcode.js

@@ -0,0 +1,9 @@
+#!/bin/sh
+basedir=$(dirname "$(echo "$0" | sed -e 's,\\,/,g')")
+
+case `uname` in
+    *CYGWIN*|*MINGW*|*MSYS*) basedir=`cygpath -w "$basedir"`;;
+esac
+
+"$basedir/../jsbarcode/bin/barcodes/Barcode.js"   "$@"
+exit $?

+ 9 - 0
node_modules/.bin/Barcode.js.cmd

@@ -0,0 +1,9 @@
+@ECHO off
+SETLOCAL
+CALL :find_dp0
+"%dp0%\..\jsbarcode\bin\barcodes\Barcode.js"   %*
+ENDLOCAL
+EXIT /b %errorlevel%
+:find_dp0
+SET dp0=%~dp0
+EXIT /b

+ 11 - 0
node_modules/.bin/Barcode.js.ps1

@@ -0,0 +1,11 @@
+#!/usr/bin/env pwsh
+$basedir=Split-Path $MyInvocation.MyCommand.Definition -Parent
+
+$exe=""
+if ($PSVersionTable.PSVersion -lt "6.0" -or $IsWindows) {
+  # Fix case when both the Windows and Linux builds of Node
+  # are installed in the same directory
+  $exe=".exe"
+}
+& "$basedir/../jsbarcode/bin/barcodes/Barcode.js"   $args
+exit $LASTEXITCODE

+ 9 - 0
node_modules/.bin/CODE128

@@ -0,0 +1,9 @@
+#!/bin/sh
+basedir=$(dirname "$(echo "$0" | sed -e 's,\\,/,g')")
+
+case `uname` in
+    *CYGWIN*|*MINGW*|*MSYS*) basedir=`cygpath -w "$basedir"`;;
+esac
+
+"$basedir/../jsbarcode/bin/barcodes/CODE128"   "$@"
+exit $?

+ 9 - 0
node_modules/.bin/CODE128.cmd

@@ -0,0 +1,9 @@
+@ECHO off
+SETLOCAL
+CALL :find_dp0
+"%dp0%\..\jsbarcode\bin\barcodes\CODE128"   %*
+ENDLOCAL
+EXIT /b %errorlevel%
+:find_dp0
+SET dp0=%~dp0
+EXIT /b

+ 9 - 0
node_modules/.bin/CODE128.js

@@ -0,0 +1,9 @@
+#!/bin/sh
+basedir=$(dirname "$(echo "$0" | sed -e 's,\\,/,g')")
+
+case `uname` in
+    *CYGWIN*|*MINGW*|*MSYS*) basedir=`cygpath -w "$basedir"`;;
+esac
+
+"$basedir/../jsbarcode/bin/barcodes/CODE128/CODE128.js"   "$@"
+exit $?

+ 9 - 0
node_modules/.bin/CODE128.js.cmd

@@ -0,0 +1,9 @@
+@ECHO off
+SETLOCAL
+CALL :find_dp0
+"%dp0%\..\jsbarcode\bin\barcodes\CODE128\CODE128.js"   %*
+ENDLOCAL
+EXIT /b %errorlevel%
+:find_dp0
+SET dp0=%~dp0
+EXIT /b

+ 11 - 0
node_modules/.bin/CODE128.js.ps1

@@ -0,0 +1,11 @@
+#!/usr/bin/env pwsh
+$basedir=Split-Path $MyInvocation.MyCommand.Definition -Parent
+
+$exe=""
+if ($PSVersionTable.PSVersion -lt "6.0" -or $IsWindows) {
+  # Fix case when both the Windows and Linux builds of Node
+  # are installed in the same directory
+  $exe=".exe"
+}
+& "$basedir/../jsbarcode/bin/barcodes/CODE128/CODE128.js"   $args
+exit $LASTEXITCODE

+ 11 - 0
node_modules/.bin/CODE128.ps1

@@ -0,0 +1,11 @@
+#!/usr/bin/env pwsh
+$basedir=Split-Path $MyInvocation.MyCommand.Definition -Parent
+
+$exe=""
+if ($PSVersionTable.PSVersion -lt "6.0" -or $IsWindows) {
+  # Fix case when both the Windows and Linux builds of Node
+  # are installed in the same directory
+  $exe=".exe"
+}
+& "$basedir/../jsbarcode/bin/barcodes/CODE128"   $args
+exit $LASTEXITCODE

+ 9 - 0
node_modules/.bin/CODE128A.js

@@ -0,0 +1,9 @@
+#!/bin/sh
+basedir=$(dirname "$(echo "$0" | sed -e 's,\\,/,g')")
+
+case `uname` in
+    *CYGWIN*|*MINGW*|*MSYS*) basedir=`cygpath -w "$basedir"`;;
+esac
+
+"$basedir/../jsbarcode/bin/barcodes/CODE128/CODE128A.js"   "$@"
+exit $?

+ 9 - 0
node_modules/.bin/CODE128A.js.cmd

@@ -0,0 +1,9 @@
+@ECHO off
+SETLOCAL
+CALL :find_dp0
+"%dp0%\..\jsbarcode\bin\barcodes\CODE128\CODE128A.js"   %*
+ENDLOCAL
+EXIT /b %errorlevel%
+:find_dp0
+SET dp0=%~dp0
+EXIT /b

+ 11 - 0
node_modules/.bin/CODE128A.js.ps1

@@ -0,0 +1,11 @@
+#!/usr/bin/env pwsh
+$basedir=Split-Path $MyInvocation.MyCommand.Definition -Parent
+
+$exe=""
+if ($PSVersionTable.PSVersion -lt "6.0" -or $IsWindows) {
+  # Fix case when both the Windows and Linux builds of Node
+  # are installed in the same directory
+  $exe=".exe"
+}
+& "$basedir/../jsbarcode/bin/barcodes/CODE128/CODE128A.js"   $args
+exit $LASTEXITCODE

+ 9 - 0
node_modules/.bin/CODE128B.js

@@ -0,0 +1,9 @@
+#!/bin/sh
+basedir=$(dirname "$(echo "$0" | sed -e 's,\\,/,g')")
+
+case `uname` in
+    *CYGWIN*|*MINGW*|*MSYS*) basedir=`cygpath -w "$basedir"`;;
+esac
+
+"$basedir/../jsbarcode/bin/barcodes/CODE128/CODE128B.js"   "$@"
+exit $?

+ 9 - 0
node_modules/.bin/CODE128B.js.cmd

@@ -0,0 +1,9 @@
+@ECHO off
+SETLOCAL
+CALL :find_dp0
+"%dp0%\..\jsbarcode\bin\barcodes\CODE128\CODE128B.js"   %*
+ENDLOCAL
+EXIT /b %errorlevel%
+:find_dp0
+SET dp0=%~dp0
+EXIT /b

+ 11 - 0
node_modules/.bin/CODE128B.js.ps1

@@ -0,0 +1,11 @@
+#!/usr/bin/env pwsh
+$basedir=Split-Path $MyInvocation.MyCommand.Definition -Parent
+
+$exe=""
+if ($PSVersionTable.PSVersion -lt "6.0" -or $IsWindows) {
+  # Fix case when both the Windows and Linux builds of Node
+  # are installed in the same directory
+  $exe=".exe"
+}
+& "$basedir/../jsbarcode/bin/barcodes/CODE128/CODE128B.js"   $args
+exit $LASTEXITCODE

+ 9 - 0
node_modules/.bin/CODE128C.js

@@ -0,0 +1,9 @@
+#!/bin/sh
+basedir=$(dirname "$(echo "$0" | sed -e 's,\\,/,g')")
+
+case `uname` in
+    *CYGWIN*|*MINGW*|*MSYS*) basedir=`cygpath -w "$basedir"`;;
+esac
+
+"$basedir/../jsbarcode/bin/barcodes/CODE128/CODE128C.js"   "$@"
+exit $?

+ 9 - 0
node_modules/.bin/CODE128C.js.cmd

@@ -0,0 +1,9 @@
+@ECHO off
+SETLOCAL
+CALL :find_dp0
+"%dp0%\..\jsbarcode\bin\barcodes\CODE128\CODE128C.js"   %*
+ENDLOCAL
+EXIT /b %errorlevel%
+:find_dp0
+SET dp0=%~dp0
+EXIT /b

+ 11 - 0
node_modules/.bin/CODE128C.js.ps1

@@ -0,0 +1,11 @@
+#!/usr/bin/env pwsh
+$basedir=Split-Path $MyInvocation.MyCommand.Definition -Parent
+
+$exe=""
+if ($PSVersionTable.PSVersion -lt "6.0" -or $IsWindows) {
+  # Fix case when both the Windows and Linux builds of Node
+  # are installed in the same directory
+  $exe=".exe"
+}
+& "$basedir/../jsbarcode/bin/barcodes/CODE128/CODE128C.js"   $args
+exit $LASTEXITCODE

+ 9 - 0
node_modules/.bin/CODE128_AUTO.js

@@ -0,0 +1,9 @@
+#!/bin/sh
+basedir=$(dirname "$(echo "$0" | sed -e 's,\\,/,g')")
+
+case `uname` in
+    *CYGWIN*|*MINGW*|*MSYS*) basedir=`cygpath -w "$basedir"`;;
+esac
+
+"$basedir/../jsbarcode/bin/barcodes/CODE128/CODE128_AUTO.js"   "$@"
+exit $?

+ 9 - 0
node_modules/.bin/CODE128_AUTO.js.cmd

@@ -0,0 +1,9 @@
+@ECHO off
+SETLOCAL
+CALL :find_dp0
+"%dp0%\..\jsbarcode\bin\barcodes\CODE128\CODE128_AUTO.js"   %*
+ENDLOCAL
+EXIT /b %errorlevel%
+:find_dp0
+SET dp0=%~dp0
+EXIT /b

+ 11 - 0
node_modules/.bin/CODE128_AUTO.js.ps1

@@ -0,0 +1,11 @@
+#!/usr/bin/env pwsh
+$basedir=Split-Path $MyInvocation.MyCommand.Definition -Parent
+
+$exe=""
+if ($PSVersionTable.PSVersion -lt "6.0" -or $IsWindows) {
+  # Fix case when both the Windows and Linux builds of Node
+  # are installed in the same directory
+  $exe=".exe"
+}
+& "$basedir/../jsbarcode/bin/barcodes/CODE128/CODE128_AUTO.js"   $args
+exit $LASTEXITCODE

+ 9 - 0
node_modules/.bin/CODE39

@@ -0,0 +1,9 @@
+#!/bin/sh
+basedir=$(dirname "$(echo "$0" | sed -e 's,\\,/,g')")
+
+case `uname` in
+    *CYGWIN*|*MINGW*|*MSYS*) basedir=`cygpath -w "$basedir"`;;
+esac
+
+"$basedir/../jsbarcode/bin/barcodes/CODE39"   "$@"
+exit $?

+ 9 - 0
node_modules/.bin/CODE39.cmd

@@ -0,0 +1,9 @@
+@ECHO off
+SETLOCAL
+CALL :find_dp0
+"%dp0%\..\jsbarcode\bin\barcodes\CODE39"   %*
+ENDLOCAL
+EXIT /b %errorlevel%
+:find_dp0
+SET dp0=%~dp0
+EXIT /b

+ 11 - 0
node_modules/.bin/CODE39.ps1

@@ -0,0 +1,11 @@
+#!/usr/bin/env pwsh
+$basedir=Split-Path $MyInvocation.MyCommand.Definition -Parent
+
+$exe=""
+if ($PSVersionTable.PSVersion -lt "6.0" -or $IsWindows) {
+  # Fix case when both the Windows and Linux builds of Node
+  # are installed in the same directory
+  $exe=".exe"
+}
+& "$basedir/../jsbarcode/bin/barcodes/CODE39"   $args
+exit $LASTEXITCODE

+ 9 - 0
node_modules/.bin/EAN.js

@@ -0,0 +1,9 @@
+#!/bin/sh
+basedir=$(dirname "$(echo "$0" | sed -e 's,\\,/,g')")
+
+case `uname` in
+    *CYGWIN*|*MINGW*|*MSYS*) basedir=`cygpath -w "$basedir"`;;
+esac
+
+"$basedir/../jsbarcode/bin/barcodes/EAN_UPC/EAN.js"   "$@"
+exit $?

+ 9 - 0
node_modules/.bin/EAN.js.cmd

@@ -0,0 +1,9 @@
+@ECHO off
+SETLOCAL
+CALL :find_dp0
+"%dp0%\..\jsbarcode\bin\barcodes\EAN_UPC\EAN.js"   %*
+ENDLOCAL
+EXIT /b %errorlevel%
+:find_dp0
+SET dp0=%~dp0
+EXIT /b

+ 11 - 0
node_modules/.bin/EAN.js.ps1

@@ -0,0 +1,11 @@
+#!/usr/bin/env pwsh
+$basedir=Split-Path $MyInvocation.MyCommand.Definition -Parent
+
+$exe=""
+if ($PSVersionTable.PSVersion -lt "6.0" -or $IsWindows) {
+  # Fix case when both the Windows and Linux builds of Node
+  # are installed in the same directory
+  $exe=".exe"
+}
+& "$basedir/../jsbarcode/bin/barcodes/EAN_UPC/EAN.js"   $args
+exit $LASTEXITCODE

+ 9 - 0
node_modules/.bin/EAN13.js

@@ -0,0 +1,9 @@
+#!/bin/sh
+basedir=$(dirname "$(echo "$0" | sed -e 's,\\,/,g')")
+
+case `uname` in
+    *CYGWIN*|*MINGW*|*MSYS*) basedir=`cygpath -w "$basedir"`;;
+esac
+
+"$basedir/../jsbarcode/bin/barcodes/EAN_UPC/EAN13.js"   "$@"
+exit $?

+ 9 - 0
node_modules/.bin/EAN13.js.cmd

@@ -0,0 +1,9 @@
+@ECHO off
+SETLOCAL
+CALL :find_dp0
+"%dp0%\..\jsbarcode\bin\barcodes\EAN_UPC\EAN13.js"   %*
+ENDLOCAL
+EXIT /b %errorlevel%
+:find_dp0
+SET dp0=%~dp0
+EXIT /b

+ 11 - 0
node_modules/.bin/EAN13.js.ps1

@@ -0,0 +1,11 @@
+#!/usr/bin/env pwsh
+$basedir=Split-Path $MyInvocation.MyCommand.Definition -Parent
+
+$exe=""
+if ($PSVersionTable.PSVersion -lt "6.0" -or $IsWindows) {
+  # Fix case when both the Windows and Linux builds of Node
+  # are installed in the same directory
+  $exe=".exe"
+}
+& "$basedir/../jsbarcode/bin/barcodes/EAN_UPC/EAN13.js"   $args
+exit $LASTEXITCODE

+ 9 - 0
node_modules/.bin/EAN2.js

@@ -0,0 +1,9 @@
+#!/bin/sh
+basedir=$(dirname "$(echo "$0" | sed -e 's,\\,/,g')")
+
+case `uname` in
+    *CYGWIN*|*MINGW*|*MSYS*) basedir=`cygpath -w "$basedir"`;;
+esac
+
+"$basedir/../jsbarcode/bin/barcodes/EAN_UPC/EAN2.js"   "$@"
+exit $?

+ 9 - 0
node_modules/.bin/EAN2.js.cmd

@@ -0,0 +1,9 @@
+@ECHO off
+SETLOCAL
+CALL :find_dp0
+"%dp0%\..\jsbarcode\bin\barcodes\EAN_UPC\EAN2.js"   %*
+ENDLOCAL
+EXIT /b %errorlevel%
+:find_dp0
+SET dp0=%~dp0
+EXIT /b

+ 11 - 0
node_modules/.bin/EAN2.js.ps1

@@ -0,0 +1,11 @@
+#!/usr/bin/env pwsh
+$basedir=Split-Path $MyInvocation.MyCommand.Definition -Parent
+
+$exe=""
+if ($PSVersionTable.PSVersion -lt "6.0" -or $IsWindows) {
+  # Fix case when both the Windows and Linux builds of Node
+  # are installed in the same directory
+  $exe=".exe"
+}
+& "$basedir/../jsbarcode/bin/barcodes/EAN_UPC/EAN2.js"   $args
+exit $LASTEXITCODE

+ 9 - 0
node_modules/.bin/EAN5.js

@@ -0,0 +1,9 @@
+#!/bin/sh
+basedir=$(dirname "$(echo "$0" | sed -e 's,\\,/,g')")
+
+case `uname` in
+    *CYGWIN*|*MINGW*|*MSYS*) basedir=`cygpath -w "$basedir"`;;
+esac
+
+"$basedir/../jsbarcode/bin/barcodes/EAN_UPC/EAN5.js"   "$@"
+exit $?

+ 9 - 0
node_modules/.bin/EAN5.js.cmd

@@ -0,0 +1,9 @@
+@ECHO off
+SETLOCAL
+CALL :find_dp0
+"%dp0%\..\jsbarcode\bin\barcodes\EAN_UPC\EAN5.js"   %*
+ENDLOCAL
+EXIT /b %errorlevel%
+:find_dp0
+SET dp0=%~dp0
+EXIT /b

+ 11 - 0
node_modules/.bin/EAN5.js.ps1

@@ -0,0 +1,11 @@
+#!/usr/bin/env pwsh
+$basedir=Split-Path $MyInvocation.MyCommand.Definition -Parent
+
+$exe=""
+if ($PSVersionTable.PSVersion -lt "6.0" -or $IsWindows) {
+  # Fix case when both the Windows and Linux builds of Node
+  # are installed in the same directory
+  $exe=".exe"
+}
+& "$basedir/../jsbarcode/bin/barcodes/EAN_UPC/EAN5.js"   $args
+exit $LASTEXITCODE

+ 9 - 0
node_modules/.bin/EAN8.js

@@ -0,0 +1,9 @@
+#!/bin/sh
+basedir=$(dirname "$(echo "$0" | sed -e 's,\\,/,g')")
+
+case `uname` in
+    *CYGWIN*|*MINGW*|*MSYS*) basedir=`cygpath -w "$basedir"`;;
+esac
+
+"$basedir/../jsbarcode/bin/barcodes/EAN_UPC/EAN8.js"   "$@"
+exit $?

+ 9 - 0
node_modules/.bin/EAN8.js.cmd

@@ -0,0 +1,9 @@
+@ECHO off
+SETLOCAL
+CALL :find_dp0
+"%dp0%\..\jsbarcode\bin\barcodes\EAN_UPC\EAN8.js"   %*
+ENDLOCAL
+EXIT /b %errorlevel%
+:find_dp0
+SET dp0=%~dp0
+EXIT /b

+ 11 - 0
node_modules/.bin/EAN8.js.ps1

@@ -0,0 +1,11 @@
+#!/usr/bin/env pwsh
+$basedir=Split-Path $MyInvocation.MyCommand.Definition -Parent
+
+$exe=""
+if ($PSVersionTable.PSVersion -lt "6.0" -or $IsWindows) {
+  # Fix case when both the Windows and Linux builds of Node
+  # are installed in the same directory
+  $exe=".exe"
+}
+& "$basedir/../jsbarcode/bin/barcodes/EAN_UPC/EAN8.js"   $args
+exit $LASTEXITCODE

+ 9 - 0
node_modules/.bin/EAN_UPC

@@ -0,0 +1,9 @@
+#!/bin/sh
+basedir=$(dirname "$(echo "$0" | sed -e 's,\\,/,g')")
+
+case `uname` in
+    *CYGWIN*|*MINGW*|*MSYS*) basedir=`cygpath -w "$basedir"`;;
+esac
+
+"$basedir/../jsbarcode/bin/barcodes/EAN_UPC"   "$@"
+exit $?

+ 9 - 0
node_modules/.bin/EAN_UPC.cmd

@@ -0,0 +1,9 @@
+@ECHO off
+SETLOCAL
+CALL :find_dp0
+"%dp0%\..\jsbarcode\bin\barcodes\EAN_UPC"   %*
+ENDLOCAL
+EXIT /b %errorlevel%
+:find_dp0
+SET dp0=%~dp0
+EXIT /b

+ 11 - 0
node_modules/.bin/EAN_UPC.ps1

@@ -0,0 +1,11 @@
+#!/usr/bin/env pwsh
+$basedir=Split-Path $MyInvocation.MyCommand.Definition -Parent
+
+$exe=""
+if ($PSVersionTable.PSVersion -lt "6.0" -or $IsWindows) {
+  # Fix case when both the Windows and Linux builds of Node
+  # are installed in the same directory
+  $exe=".exe"
+}
+& "$basedir/../jsbarcode/bin/barcodes/EAN_UPC"   $args
+exit $LASTEXITCODE

+ 9 - 0
node_modules/.bin/ErrorHandler.js

@@ -0,0 +1,9 @@
+#!/bin/sh
+basedir=$(dirname "$(echo "$0" | sed -e 's,\\,/,g')")
+
+case `uname` in
+    *CYGWIN*|*MINGW*|*MSYS*) basedir=`cygpath -w "$basedir"`;;
+esac
+
+"$basedir/../jsbarcode/bin/exceptions/ErrorHandler.js"   "$@"
+exit $?

+ 9 - 0
node_modules/.bin/ErrorHandler.js.cmd

@@ -0,0 +1,9 @@
+@ECHO off
+SETLOCAL
+CALL :find_dp0
+"%dp0%\..\jsbarcode\bin\exceptions\ErrorHandler.js"   %*
+ENDLOCAL
+EXIT /b %errorlevel%
+:find_dp0
+SET dp0=%~dp0
+EXIT /b

+ 11 - 0
node_modules/.bin/ErrorHandler.js.ps1

@@ -0,0 +1,11 @@
+#!/usr/bin/env pwsh
+$basedir=Split-Path $MyInvocation.MyCommand.Definition -Parent
+
+$exe=""
+if ($PSVersionTable.PSVersion -lt "6.0" -or $IsWindows) {
+  # Fix case when both the Windows and Linux builds of Node
+  # are installed in the same directory
+  $exe=".exe"
+}
+& "$basedir/../jsbarcode/bin/exceptions/ErrorHandler.js"   $args
+exit $LASTEXITCODE

+ 9 - 0
node_modules/.bin/GenericBarcode

@@ -0,0 +1,9 @@
+#!/bin/sh
+basedir=$(dirname "$(echo "$0" | sed -e 's,\\,/,g')")
+
+case `uname` in
+    *CYGWIN*|*MINGW*|*MSYS*) basedir=`cygpath -w "$basedir"`;;
+esac
+
+"$basedir/../jsbarcode/bin/barcodes/GenericBarcode"   "$@"
+exit $?

+ 9 - 0
node_modules/.bin/GenericBarcode.cmd

@@ -0,0 +1,9 @@
+@ECHO off
+SETLOCAL
+CALL :find_dp0
+"%dp0%\..\jsbarcode\bin\barcodes\GenericBarcode"   %*
+ENDLOCAL
+EXIT /b %errorlevel%
+:find_dp0
+SET dp0=%~dp0
+EXIT /b

+ 11 - 0
node_modules/.bin/GenericBarcode.ps1

@@ -0,0 +1,11 @@
+#!/usr/bin/env pwsh
+$basedir=Split-Path $MyInvocation.MyCommand.Definition -Parent
+
+$exe=""
+if ($PSVersionTable.PSVersion -lt "6.0" -or $IsWindows) {
+  # Fix case when both the Windows and Linux builds of Node
+  # are installed in the same directory
+  $exe=".exe"
+}
+& "$basedir/../jsbarcode/bin/barcodes/GenericBarcode"   $args
+exit $LASTEXITCODE

+ 9 - 0
node_modules/.bin/ITF

@@ -0,0 +1,9 @@
+#!/bin/sh
+basedir=$(dirname "$(echo "$0" | sed -e 's,\\,/,g')")
+
+case `uname` in
+    *CYGWIN*|*MINGW*|*MSYS*) basedir=`cygpath -w "$basedir"`;;
+esac
+
+"$basedir/../jsbarcode/bin/barcodes/ITF"   "$@"
+exit $?

+ 9 - 0
node_modules/.bin/ITF.cmd

@@ -0,0 +1,9 @@
+@ECHO off
+SETLOCAL
+CALL :find_dp0
+"%dp0%\..\jsbarcode\bin\barcodes\ITF"   %*
+ENDLOCAL
+EXIT /b %errorlevel%
+:find_dp0
+SET dp0=%~dp0
+EXIT /b

+ 9 - 0
node_modules/.bin/ITF.js

@@ -0,0 +1,9 @@
+#!/bin/sh
+basedir=$(dirname "$(echo "$0" | sed -e 's,\\,/,g')")
+
+case `uname` in
+    *CYGWIN*|*MINGW*|*MSYS*) basedir=`cygpath -w "$basedir"`;;
+esac
+
+"$basedir/../jsbarcode/bin/barcodes/ITF/ITF.js"   "$@"
+exit $?

+ 9 - 0
node_modules/.bin/ITF.js.cmd

@@ -0,0 +1,9 @@
+@ECHO off
+SETLOCAL
+CALL :find_dp0
+"%dp0%\..\jsbarcode\bin\barcodes\ITF\ITF.js"   %*
+ENDLOCAL
+EXIT /b %errorlevel%
+:find_dp0
+SET dp0=%~dp0
+EXIT /b

+ 11 - 0
node_modules/.bin/ITF.js.ps1

@@ -0,0 +1,11 @@
+#!/usr/bin/env pwsh
+$basedir=Split-Path $MyInvocation.MyCommand.Definition -Parent
+
+$exe=""
+if ($PSVersionTable.PSVersion -lt "6.0" -or $IsWindows) {
+  # Fix case when both the Windows and Linux builds of Node
+  # are installed in the same directory
+  $exe=".exe"
+}
+& "$basedir/../jsbarcode/bin/barcodes/ITF/ITF.js"   $args
+exit $LASTEXITCODE

+ 11 - 0
node_modules/.bin/ITF.ps1

@@ -0,0 +1,11 @@
+#!/usr/bin/env pwsh
+$basedir=Split-Path $MyInvocation.MyCommand.Definition -Parent
+
+$exe=""
+if ($PSVersionTable.PSVersion -lt "6.0" -or $IsWindows) {
+  # Fix case when both the Windows and Linux builds of Node
+  # are installed in the same directory
+  $exe=".exe"
+}
+& "$basedir/../jsbarcode/bin/barcodes/ITF"   $args
+exit $LASTEXITCODE

+ 9 - 0
node_modules/.bin/ITF14.js

@@ -0,0 +1,9 @@
+#!/bin/sh
+basedir=$(dirname "$(echo "$0" | sed -e 's,\\,/,g')")
+
+case `uname` in
+    *CYGWIN*|*MINGW*|*MSYS*) basedir=`cygpath -w "$basedir"`;;
+esac
+
+"$basedir/../jsbarcode/bin/barcodes/ITF/ITF14.js"   "$@"
+exit $?

+ 9 - 0
node_modules/.bin/ITF14.js.cmd

@@ -0,0 +1,9 @@
+@ECHO off
+SETLOCAL
+CALL :find_dp0
+"%dp0%\..\jsbarcode\bin\barcodes\ITF\ITF14.js"   %*
+ENDLOCAL
+EXIT /b %errorlevel%
+:find_dp0
+SET dp0=%~dp0
+EXIT /b

+ 11 - 0
node_modules/.bin/ITF14.js.ps1

@@ -0,0 +1,11 @@
+#!/usr/bin/env pwsh
+$basedir=Split-Path $MyInvocation.MyCommand.Definition -Parent
+
+$exe=""
+if ($PSVersionTable.PSVersion -lt "6.0" -or $IsWindows) {
+  # Fix case when both the Windows and Linux builds of Node
+  # are installed in the same directory
+  $exe=".exe"
+}
+& "$basedir/../jsbarcode/bin/barcodes/ITF/ITF14.js"   $args
+exit $LASTEXITCODE

+ 9 - 0
node_modules/.bin/JsBarcode.js

@@ -0,0 +1,9 @@
+#!/bin/sh
+basedir=$(dirname "$(echo "$0" | sed -e 's,\\,/,g')")
+
+case `uname` in
+    *CYGWIN*|*MINGW*|*MSYS*) basedir=`cygpath -w "$basedir"`;;
+esac
+
+"$basedir/../jsbarcode/bin/JsBarcode.js"   "$@"
+exit $?

+ 9 - 0
node_modules/.bin/JsBarcode.js.cmd

@@ -0,0 +1,9 @@
+@ECHO off
+SETLOCAL
+CALL :find_dp0
+"%dp0%\..\jsbarcode\bin\JsBarcode.js"   %*
+ENDLOCAL
+EXIT /b %errorlevel%
+:find_dp0
+SET dp0=%~dp0
+EXIT /b

+ 11 - 0
node_modules/.bin/JsBarcode.js.ps1

@@ -0,0 +1,11 @@
+#!/usr/bin/env pwsh
+$basedir=Split-Path $MyInvocation.MyCommand.Definition -Parent
+
+$exe=""
+if ($PSVersionTable.PSVersion -lt "6.0" -or $IsWindows) {
+  # Fix case when both the Windows and Linux builds of Node
+  # are installed in the same directory
+  $exe=".exe"
+}
+& "$basedir/../jsbarcode/bin/JsBarcode.js"   $args
+exit $LASTEXITCODE

+ 9 - 0
node_modules/.bin/MSI

@@ -0,0 +1,9 @@
+#!/bin/sh
+basedir=$(dirname "$(echo "$0" | sed -e 's,\\,/,g')")
+
+case `uname` in
+    *CYGWIN*|*MINGW*|*MSYS*) basedir=`cygpath -w "$basedir"`;;
+esac
+
+"$basedir/../jsbarcode/bin/barcodes/MSI"   "$@"
+exit $?

+ 9 - 0
node_modules/.bin/MSI.cmd

@@ -0,0 +1,9 @@
+@ECHO off
+SETLOCAL
+CALL :find_dp0
+"%dp0%\..\jsbarcode\bin\barcodes\MSI"   %*
+ENDLOCAL
+EXIT /b %errorlevel%
+:find_dp0
+SET dp0=%~dp0
+EXIT /b

+ 9 - 0
node_modules/.bin/MSI.js

@@ -0,0 +1,9 @@
+#!/bin/sh
+basedir=$(dirname "$(echo "$0" | sed -e 's,\\,/,g')")
+
+case `uname` in
+    *CYGWIN*|*MINGW*|*MSYS*) basedir=`cygpath -w "$basedir"`;;
+esac
+
+"$basedir/../jsbarcode/bin/barcodes/MSI/MSI.js"   "$@"
+exit $?

+ 9 - 0
node_modules/.bin/MSI.js.cmd

@@ -0,0 +1,9 @@
+@ECHO off
+SETLOCAL
+CALL :find_dp0
+"%dp0%\..\jsbarcode\bin\barcodes\MSI\MSI.js"   %*
+ENDLOCAL
+EXIT /b %errorlevel%
+:find_dp0
+SET dp0=%~dp0
+EXIT /b

+ 11 - 0
node_modules/.bin/MSI.js.ps1

@@ -0,0 +1,11 @@
+#!/usr/bin/env pwsh
+$basedir=Split-Path $MyInvocation.MyCommand.Definition -Parent
+
+$exe=""
+if ($PSVersionTable.PSVersion -lt "6.0" -or $IsWindows) {
+  # Fix case when both the Windows and Linux builds of Node
+  # are installed in the same directory
+  $exe=".exe"
+}
+& "$basedir/../jsbarcode/bin/barcodes/MSI/MSI.js"   $args
+exit $LASTEXITCODE

+ 11 - 0
node_modules/.bin/MSI.ps1

@@ -0,0 +1,11 @@
+#!/usr/bin/env pwsh
+$basedir=Split-Path $MyInvocation.MyCommand.Definition -Parent
+
+$exe=""
+if ($PSVersionTable.PSVersion -lt "6.0" -or $IsWindows) {
+  # Fix case when both the Windows and Linux builds of Node
+  # are installed in the same directory
+  $exe=".exe"
+}
+& "$basedir/../jsbarcode/bin/barcodes/MSI"   $args
+exit $LASTEXITCODE

+ 9 - 0
node_modules/.bin/MSI10.js

@@ -0,0 +1,9 @@
+#!/bin/sh
+basedir=$(dirname "$(echo "$0" | sed -e 's,\\,/,g')")
+
+case `uname` in
+    *CYGWIN*|*MINGW*|*MSYS*) basedir=`cygpath -w "$basedir"`;;
+esac
+
+"$basedir/../jsbarcode/bin/barcodes/MSI/MSI10.js"   "$@"
+exit $?

+ 9 - 0
node_modules/.bin/MSI10.js.cmd

@@ -0,0 +1,9 @@
+@ECHO off
+SETLOCAL
+CALL :find_dp0
+"%dp0%\..\jsbarcode\bin\barcodes\MSI\MSI10.js"   %*
+ENDLOCAL
+EXIT /b %errorlevel%
+:find_dp0
+SET dp0=%~dp0
+EXIT /b

+ 11 - 0
node_modules/.bin/MSI10.js.ps1

@@ -0,0 +1,11 @@
+#!/usr/bin/env pwsh
+$basedir=Split-Path $MyInvocation.MyCommand.Definition -Parent
+
+$exe=""
+if ($PSVersionTable.PSVersion -lt "6.0" -or $IsWindows) {
+  # Fix case when both the Windows and Linux builds of Node
+  # are installed in the same directory
+  $exe=".exe"
+}
+& "$basedir/../jsbarcode/bin/barcodes/MSI/MSI10.js"   $args
+exit $LASTEXITCODE

+ 9 - 0
node_modules/.bin/MSI1010.js

@@ -0,0 +1,9 @@
+#!/bin/sh
+basedir=$(dirname "$(echo "$0" | sed -e 's,\\,/,g')")
+
+case `uname` in
+    *CYGWIN*|*MINGW*|*MSYS*) basedir=`cygpath -w "$basedir"`;;
+esac
+
+"$basedir/../jsbarcode/bin/barcodes/MSI/MSI1010.js"   "$@"
+exit $?

+ 9 - 0
node_modules/.bin/MSI1010.js.cmd

@@ -0,0 +1,9 @@
+@ECHO off
+SETLOCAL
+CALL :find_dp0
+"%dp0%\..\jsbarcode\bin\barcodes\MSI\MSI1010.js"   %*
+ENDLOCAL
+EXIT /b %errorlevel%
+:find_dp0
+SET dp0=%~dp0
+EXIT /b

+ 11 - 0
node_modules/.bin/MSI1010.js.ps1

@@ -0,0 +1,11 @@
+#!/usr/bin/env pwsh
+$basedir=Split-Path $MyInvocation.MyCommand.Definition -Parent
+
+$exe=""
+if ($PSVersionTable.PSVersion -lt "6.0" -or $IsWindows) {
+  # Fix case when both the Windows and Linux builds of Node
+  # are installed in the same directory
+  $exe=".exe"
+}
+& "$basedir/../jsbarcode/bin/barcodes/MSI/MSI1010.js"   $args
+exit $LASTEXITCODE

+ 9 - 0
node_modules/.bin/MSI11.js

@@ -0,0 +1,9 @@
+#!/bin/sh
+basedir=$(dirname "$(echo "$0" | sed -e 's,\\,/,g')")
+
+case `uname` in
+    *CYGWIN*|*MINGW*|*MSYS*) basedir=`cygpath -w "$basedir"`;;
+esac
+
+"$basedir/../jsbarcode/bin/barcodes/MSI/MSI11.js"   "$@"
+exit $?

+ 9 - 0
node_modules/.bin/MSI11.js.cmd

@@ -0,0 +1,9 @@
+@ECHO off
+SETLOCAL
+CALL :find_dp0
+"%dp0%\..\jsbarcode\bin\barcodes\MSI\MSI11.js"   %*
+ENDLOCAL
+EXIT /b %errorlevel%
+:find_dp0
+SET dp0=%~dp0
+EXIT /b

+ 11 - 0
node_modules/.bin/MSI11.js.ps1

@@ -0,0 +1,11 @@
+#!/usr/bin/env pwsh
+$basedir=Split-Path $MyInvocation.MyCommand.Definition -Parent
+
+$exe=""
+if ($PSVersionTable.PSVersion -lt "6.0" -or $IsWindows) {
+  # Fix case when both the Windows and Linux builds of Node
+  # are installed in the same directory
+  $exe=".exe"
+}
+& "$basedir/../jsbarcode/bin/barcodes/MSI/MSI11.js"   $args
+exit $LASTEXITCODE

+ 9 - 0
node_modules/.bin/MSI1110.js

@@ -0,0 +1,9 @@
+#!/bin/sh
+basedir=$(dirname "$(echo "$0" | sed -e 's,\\,/,g')")
+
+case `uname` in
+    *CYGWIN*|*MINGW*|*MSYS*) basedir=`cygpath -w "$basedir"`;;
+esac
+
+"$basedir/../jsbarcode/bin/barcodes/MSI/MSI1110.js"   "$@"
+exit $?

+ 9 - 0
node_modules/.bin/MSI1110.js.cmd

@@ -0,0 +1,9 @@
+@ECHO off
+SETLOCAL
+CALL :find_dp0
+"%dp0%\..\jsbarcode\bin\barcodes\MSI\MSI1110.js"   %*
+ENDLOCAL
+EXIT /b %errorlevel%
+:find_dp0
+SET dp0=%~dp0
+EXIT /b

+ 11 - 0
node_modules/.bin/MSI1110.js.ps1

@@ -0,0 +1,11 @@
+#!/usr/bin/env pwsh
+$basedir=Split-Path $MyInvocation.MyCommand.Definition -Parent
+
+$exe=""
+if ($PSVersionTable.PSVersion -lt "6.0" -or $IsWindows) {
+  # Fix case when both the Windows and Linux builds of Node
+  # are installed in the same directory
+  $exe=".exe"
+}
+& "$basedir/../jsbarcode/bin/barcodes/MSI/MSI1110.js"   $args
+exit $LASTEXITCODE

+ 9 - 0
node_modules/.bin/UPC.js

@@ -0,0 +1,9 @@
+#!/bin/sh
+basedir=$(dirname "$(echo "$0" | sed -e 's,\\,/,g')")
+
+case `uname` in
+    *CYGWIN*|*MINGW*|*MSYS*) basedir=`cygpath -w "$basedir"`;;
+esac
+
+"$basedir/../jsbarcode/bin/barcodes/EAN_UPC/UPC.js"   "$@"
+exit $?

+ 9 - 0
node_modules/.bin/UPC.js.cmd

@@ -0,0 +1,9 @@
+@ECHO off
+SETLOCAL
+CALL :find_dp0
+"%dp0%\..\jsbarcode\bin\barcodes\EAN_UPC\UPC.js"   %*
+ENDLOCAL
+EXIT /b %errorlevel%
+:find_dp0
+SET dp0=%~dp0
+EXIT /b

+ 11 - 0
node_modules/.bin/UPC.js.ps1

@@ -0,0 +1,11 @@
+#!/usr/bin/env pwsh
+$basedir=Split-Path $MyInvocation.MyCommand.Definition -Parent
+
+$exe=""
+if ($PSVersionTable.PSVersion -lt "6.0" -or $IsWindows) {
+  # Fix case when both the Windows and Linux builds of Node
+  # are installed in the same directory
+  $exe=".exe"
+}
+& "$basedir/../jsbarcode/bin/barcodes/EAN_UPC/UPC.js"   $args
+exit $LASTEXITCODE

+ 9 - 0
node_modules/.bin/UPCE.js

@@ -0,0 +1,9 @@
+#!/bin/sh
+basedir=$(dirname "$(echo "$0" | sed -e 's,\\,/,g')")
+
+case `uname` in
+    *CYGWIN*|*MINGW*|*MSYS*) basedir=`cygpath -w "$basedir"`;;
+esac
+
+"$basedir/../jsbarcode/bin/barcodes/EAN_UPC/UPCE.js"   "$@"
+exit $?

+ 9 - 0
node_modules/.bin/UPCE.js.cmd

@@ -0,0 +1,9 @@
+@ECHO off
+SETLOCAL
+CALL :find_dp0
+"%dp0%\..\jsbarcode\bin\barcodes\EAN_UPC\UPCE.js"   %*
+ENDLOCAL
+EXIT /b %errorlevel%
+:find_dp0
+SET dp0=%~dp0
+EXIT /b

+ 11 - 0
node_modules/.bin/UPCE.js.ps1

@@ -0,0 +1,11 @@
+#!/usr/bin/env pwsh
+$basedir=Split-Path $MyInvocation.MyCommand.Definition -Parent
+
+$exe=""
+if ($PSVersionTable.PSVersion -lt "6.0" -or $IsWindows) {
+  # Fix case when both the Windows and Linux builds of Node
+  # are installed in the same directory
+  $exe=".exe"
+}
+& "$basedir/../jsbarcode/bin/barcodes/EAN_UPC/UPCE.js"   $args
+exit $LASTEXITCODE

+ 9 - 0
node_modules/.bin/auto.js

@@ -0,0 +1,9 @@
+#!/bin/sh
+basedir=$(dirname "$(echo "$0" | sed -e 's,\\,/,g')")
+
+case `uname` in
+    *CYGWIN*|*MINGW*|*MSYS*) basedir=`cygpath -w "$basedir"`;;
+esac
+
+"$basedir/../jsbarcode/bin/barcodes/CODE128/auto.js"   "$@"
+exit $?

+ 9 - 0
node_modules/.bin/auto.js.cmd

@@ -0,0 +1,9 @@
+@ECHO off
+SETLOCAL
+CALL :find_dp0
+"%dp0%\..\jsbarcode\bin\barcodes\CODE128\auto.js"   %*
+ENDLOCAL
+EXIT /b %errorlevel%
+:find_dp0
+SET dp0=%~dp0
+EXIT /b

+ 11 - 0
node_modules/.bin/auto.js.ps1

@@ -0,0 +1,11 @@
+#!/usr/bin/env pwsh
+$basedir=Split-Path $MyInvocation.MyCommand.Definition -Parent
+
+$exe=""
+if ($PSVersionTable.PSVersion -lt "6.0" -or $IsWindows) {
+  # Fix case when both the Windows and Linux builds of Node
+  # are installed in the same directory
+  $exe=".exe"
+}
+& "$basedir/../jsbarcode/bin/barcodes/CODE128/auto.js"   $args
+exit $LASTEXITCODE

+ 9 - 0
node_modules/.bin/barcodes

@@ -0,0 +1,9 @@
+#!/bin/sh
+basedir=$(dirname "$(echo "$0" | sed -e 's,\\,/,g')")
+
+case `uname` in
+    *CYGWIN*|*MINGW*|*MSYS*) basedir=`cygpath -w "$basedir"`;;
+esac
+
+"$basedir/../jsbarcode/bin/barcodes"   "$@"
+exit $?

+ 9 - 0
node_modules/.bin/barcodes.cmd

@@ -0,0 +1,9 @@
+@ECHO off
+SETLOCAL
+CALL :find_dp0
+"%dp0%\..\jsbarcode\bin\barcodes"   %*
+ENDLOCAL
+EXIT /b %errorlevel%
+:find_dp0
+SET dp0=%~dp0
+EXIT /b

+ 11 - 0
node_modules/.bin/barcodes.ps1

@@ -0,0 +1,11 @@
+#!/usr/bin/env pwsh
+$basedir=Split-Path $MyInvocation.MyCommand.Definition -Parent
+
+$exe=""
+if ($PSVersionTable.PSVersion -lt "6.0" -or $IsWindows) {
+  # Fix case when both the Windows and Linux builds of Node
+  # are installed in the same directory
+  $exe=".exe"
+}
+& "$basedir/../jsbarcode/bin/barcodes"   $args
+exit $LASTEXITCODE

+ 9 - 0
node_modules/.bin/canvas.js

@@ -0,0 +1,9 @@
+#!/bin/sh
+basedir=$(dirname "$(echo "$0" | sed -e 's,\\,/,g')")
+
+case `uname` in
+    *CYGWIN*|*MINGW*|*MSYS*) basedir=`cygpath -w "$basedir"`;;
+esac
+
+"$basedir/../jsbarcode/bin/renderers/canvas.js"   "$@"
+exit $?

+ 9 - 0
node_modules/.bin/canvas.js.cmd

@@ -0,0 +1,9 @@
+@ECHO off
+SETLOCAL
+CALL :find_dp0
+"%dp0%\..\jsbarcode\bin\renderers\canvas.js"   %*
+ENDLOCAL
+EXIT /b %errorlevel%
+:find_dp0
+SET dp0=%~dp0
+EXIT /b

+ 11 - 0
node_modules/.bin/canvas.js.ps1

@@ -0,0 +1,11 @@
+#!/usr/bin/env pwsh
+$basedir=Split-Path $MyInvocation.MyCommand.Definition -Parent
+
+$exe=""
+if ($PSVersionTable.PSVersion -lt "6.0" -or $IsWindows) {
+  # Fix case when both the Windows and Linux builds of Node
+  # are installed in the same directory
+  $exe=".exe"
+}
+& "$basedir/../jsbarcode/bin/renderers/canvas.js"   $args
+exit $LASTEXITCODE

+ 9 - 0
node_modules/.bin/checksums.js

@@ -0,0 +1,9 @@
+#!/bin/sh
+basedir=$(dirname "$(echo "$0" | sed -e 's,\\,/,g')")
+
+case `uname` in
+    *CYGWIN*|*MINGW*|*MSYS*) basedir=`cygpath -w "$basedir"`;;
+esac
+
+"$basedir/../jsbarcode/bin/barcodes/MSI/checksums.js"   "$@"
+exit $?

+ 9 - 0
node_modules/.bin/checksums.js.cmd

@@ -0,0 +1,9 @@
+@ECHO off
+SETLOCAL
+CALL :find_dp0
+"%dp0%\..\jsbarcode\bin\barcodes\MSI\checksums.js"   %*
+ENDLOCAL
+EXIT /b %errorlevel%
+:find_dp0
+SET dp0=%~dp0
+EXIT /b

+ 11 - 0
node_modules/.bin/checksums.js.ps1

@@ -0,0 +1,11 @@
+#!/usr/bin/env pwsh
+$basedir=Split-Path $MyInvocation.MyCommand.Definition -Parent
+
+$exe=""
+if ($PSVersionTable.PSVersion -lt "6.0" -or $IsWindows) {
+  # Fix case when both the Windows and Linux builds of Node
+  # are installed in the same directory
+  $exe=".exe"
+}
+& "$basedir/../jsbarcode/bin/barcodes/MSI/checksums.js"   $args
+exit $LASTEXITCODE

+ 9 - 0
node_modules/.bin/codabar

@@ -0,0 +1,9 @@
+#!/bin/sh
+basedir=$(dirname "$(echo "$0" | sed -e 's,\\,/,g')")
+
+case `uname` in
+    *CYGWIN*|*MINGW*|*MSYS*) basedir=`cygpath -w "$basedir"`;;
+esac
+
+"$basedir/../jsbarcode/bin/barcodes/codabar"   "$@"
+exit $?

+ 9 - 0
node_modules/.bin/codabar.cmd

@@ -0,0 +1,9 @@
+@ECHO off
+SETLOCAL
+CALL :find_dp0
+"%dp0%\..\jsbarcode\bin\barcodes\codabar"   %*
+ENDLOCAL
+EXIT /b %errorlevel%
+:find_dp0
+SET dp0=%~dp0
+EXIT /b

+ 11 - 0
node_modules/.bin/codabar.ps1

@@ -0,0 +1,11 @@
+#!/usr/bin/env pwsh
+$basedir=Split-Path $MyInvocation.MyCommand.Definition -Parent
+
+$exe=""
+if ($PSVersionTable.PSVersion -lt "6.0" -or $IsWindows) {
+  # Fix case when both the Windows and Linux builds of Node
+  # are installed in the same directory
+  $exe=".exe"
+}
+& "$basedir/../jsbarcode/bin/barcodes/codabar"   $args
+exit $LASTEXITCODE

+ 15 - 0
node_modules/.bin/color-support

@@ -0,0 +1,15 @@
+#!/bin/sh
+basedir=$(dirname "$(echo "$0" | sed -e 's,\\,/,g')")
+
+case `uname` in
+    *CYGWIN*|*MINGW*|*MSYS*) basedir=`cygpath -w "$basedir"`;;
+esac
+
+if [ -x "$basedir/node" ]; then
+  "$basedir/node"  "$basedir/../color-support/bin.js" "$@"
+  ret=$?
+else 
+  node  "$basedir/../color-support/bin.js" "$@"
+  ret=$?
+fi
+exit $ret

Некоторые файлы не были показаны из-за большого количества измененных файлов